<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
      integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
      crossorigin="anonymous"
    />
    <link rel="stylesheet" href="/css/custom.css" />
    <title>Campaign Manager - Add Talking Points</title>
  </head>

  <body>
    <div class="h-100 container-fluid">
      <div class="row">
        <div class="px-0 col-12">
          <div class="header"><!-- -navigation bar --></div>
        </div>
      </div>
      <div class="content col-12 px-4">
        <div class="row py-3">
          <div class="col-10"><h4>Talking Points</h4></div>
          <div class="col-2">
            <button
              type="button"
              class="btn btn-primary float-right disable-check"
              data-toggle="modal"
              data-target="#exampleModal"
            >
              Add Talking Point(s)
            </button>
          </div>
        </div>
      </div>
      <br />

      <div class="table-container mx-auto" style="width: 800px;">
        <table class="table table-bordered talking-table">
          <thead>
            <tr>
              <th scope="col">Talking Point:</th>
            </tr>
          </thead>
          <tbody></tbody>
        </table>
      </div>

      <!-- Modal -->
      <div
        class="modal fade"
        id="exampleModal"
        tabindex="-1"
        role="dialog"
        aria-labelledby="exampleModalLabel"
        aria-hidden="true"
      >
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="exampleModalLabel">Add Talking Point(s)</h5>
              <button
                type="button"
                class="close"
                data-dismiss="modal"
                aria-label="Close"
              >
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <div class="form-group">
                <label>Talking Point:</label>
                <label>Separate each talking point by pressing enter.</label>
                <textarea
                  required
                  class="form-control q-textarea"
                  rows="5"
                  id="comment"
                ></textarea>
              </div>
            </div>
            <div class="modal-footer">
              <button
                type="button"
                class="btn btn-secondary close-btn"
                data-dismiss="modal"
              >
                Close
              </button>
              <button type="button" class="btn btn-primary add-btn">Add</button>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="talking-modal-container"></div>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="/js/navigation.js"></script>
    <script src="/js/ajax.js"></script>
    <script src="/js/modal.js"></script>
    <!-- <script src="/js/assign-roles.js"></script> -->
    <script src="/js/tcards.js"></script>
    <!-- <script src="/js/tables.js"></script> -->
    <script src="/js/campaign-manager/pass-start.js"></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
      integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"
      integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
